Module | Tk::BLT::Ted
In: | tk/lib/tkextlib/blt/ted.rb

### Methods

cget configinfo configure current_configinfo edit rep select

### Constants

TkCommandNames | = | ['::blt::ted'.freeze].freeze

### Public Class methods

cget(master, option)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 36
          def cget(master, option)
            itemconfigure(master, slot, value)
          end

configinfo(master, slot=nil)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 42
          def configinfo(master, slot=nil)
            itemconfiginfo(master, slot)
          end

configure(master, slot, value=None)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 39
          def configure(master, slot, value=None)
            itemconfigure(master, slot, value)
          end

current_configinfo(master, slot=nil)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 45
          def current_configinfo(master, slot=nil)
            current_itemconfiginfo(master, slot)
          end

edit(master, *args)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 52
        def self.edit(master, *args)
          tk_call('::blt::ted', 'edit', master, *args)
        end

rep(master, *args)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 55
        def self.rep(master, *args)
          tk_call('::blt::ted', 'rep', master, *args)
        end

select(master, *args)

[Source]

    # File tk/lib/tkextlib/blt/ted.rb, line 58
        def self.select(master, *args)
          tk_call('::blt::ted', 'select', master, *args)
        end

[Validate]